#include "fullscreen.h"

/* Sets window to fullscreen. */
void
fullscreen_set(Window* self, Renderer* renderer)
{
	SDL_SetWindowSize(self->sdl, self->expectedSize[0], self->expectedSize[1]);

	renderer_update(renderer);

	SDL_SetWindowFullscreen(self->sdl, SDL_WINDOW_FULLSCREEN_DESKTOP);
}

/* Exits fullscreen. */
void
fullscreen_exit(Window* self, Renderer* renderer)
{
	SDL_SetWindowFullscreen(self->sdl, 0);
	SDL_SetWindowSize(self->sdl, self->expectedSize[0], self->expectedSize[1]);
	renderer_update(renderer);
}

